commit:     b23194d52ce457b89f34e116647146d32a0121ea
Author:     David Seifert <soap <AT> gentoo <DOT> org>
AuthorDate: Sat Aug 29 18:45:43 2020 +0000
Commit:     David Seifert <soap <AT> gentoo <DOT> org>
CommitDate: Sat Aug 29 18:45:43 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b23194d5

dev-util/cpptest: [QA] Remove IUSE="static-libs"

Closes: https://bugs.gentoo.org/724290
Package-Manager: Portage-3.0.4, Repoman-3.0.1
Signed-off-by: David Seifert <soap <AT> gentoo.org>

 dev-util/cpptest/cpptest-2.0.0-r1.ebuild | 10 ++++++----
 1 file changed, 6 insertions(+), 4 deletions(-)

diff --git a/dev-util/cpptest/cpptest-2.0.0-r1.ebuild 
b/dev-util/cpptest/cpptest-2.0.0-r1.ebuild
index 044ea47a4a8..f3723fecf37 100644
--- a/dev-util/cpptest/cpptest-2.0.0-r1.ebuild
+++ b/dev-util/cpptest/cpptest-2.0.0-r1.ebuild
@@ -10,18 +10,20 @@ 
SRC_URI="https://github.com/cpptest/cpptest/releases/download/${PV}/${P}.tar.bz2
 LICENSE="LGPL-2.1"
 SLOT="1"  # for soversion 1.x.x
 KEYWORDS="amd64 ~arm ppc ppc64 x86"
-IUSE="doc static-libs"
+IUSE="doc"
 
-DEPEND="doc? ( app-doc/doxygen )"
 RDEPEND="!dev-util/cpptest:0"
+BDEPEND="doc? ( app-doc/doxygen )"
 
 DOCS=( AUTHORS BUGS NEWS README )
 
 src_configure() {
-       econf $(use_enable doc) $(use_enable static-libs static)
+       econf \
+               --disable-static \
+               $(use_enable doc)
 }
 
 src_install() {
        default
-       find "${D}" -name '*.la' -delete || die
+       find "${ED}" -name '*.la' -delete || die
 }

Reply via email to